<?php

/**
 * @file
 * UberPOS administration forms.
 */

/**
 * @todo Please document this function.
 * @see http://drupal.org/node/1354
 */
function uberpos_settings_form($form, &$form_state, $edit = array()) {
  $form['tokens'] = array(
    '#type' => 'fieldset',
    '#title' => t('Available Tokens'),
    '#collapsed' => TRUE,
    '#collapsible' => TRUE,
    'tokens' => array(
        '#value' => theme('token_help', 'uberpos'),
    )
  );
  $form['uberpos_show_help'] = array(
    '#type' => 'radios',
    '#title' => t('Training: show help links on UberPOS buttons'),
    '#default_value' => variable_get('uberpos_show_help', 0),
    '#options' => array(t('No'), t('Yes')),
    '#description' => t('Requires the advanced help module.'),
    '#weight' => -7,
    '#disabled' => module_exists('advanced_help') ? FALSE : TRUE,
  );

  $previous = variable_get('uberpos_welcome_body');
  $form['uberpos_welcome_body'] = array(
    '#type' => 'text_format',
    '#title' => t('Welcome text'),
    '#default_value' => isset($previous['value']) ? $previous['value'] : NULL,
    '#format' => isset($previous['format']) ? $previous['format'] : NULL,
    '#rows' => 10,
    '#weight' => -6,
  );

  $previous = variable_get('uberpos_receipt_header_body');
  $form['uberpos_receipt_header_body'] = array(
    '#type' => 'text_format',
    '#title' => t('Receipt header'),
    '#default_value' => isset($previous['value']) ? $previous['value'] : NULL,
    '#format' => isset($previous['format']) ? $previous['format'] : NULL,
    '#rows' => 10,
    '#weight' => -4,
  );

  $previous = variable_get('uberpos_receipt_footer_body');
  $form['uberpos_receipt_footer_body'] = array(
    '#type' => 'text_format',
    '#title' => t('Receipt footer'),
    '#default_value' => isset($previous['value']) ? $previous['value'] : NULL,
    '#format' => isset($previous['format']) ? $previous['format'] : NULL,
    '#rows' => 10,
    '#weight' => -2,
    '#text_format' => isset($comment->format) ? $comment->format : filter_default_format(),
  );

  return system_settings_form($form, FALSE);
}
